Corrigindo a Falha de Segmentação do VirtualBox 6.1.18 no Slackware Current [RESOLVIDO]

Publicado por Mauricio Ferrari em 12/02/2021

[ Hits: 1.316 ]

Blog: https://github.com/mxnt10

 


Corrigindo a Falha de Segmentação do VirtualBox 6.1.18 no Slackware Current [RESOLVIDO]



Usar o VirtualBox no Slackware Current não vinha sendo tarefa fácil. Mas ultimamente quando fui instalar a versão 6.1.18, ao tentar abrir o programa ele fechava misteriosamente. Foi então que eu resolvi investigar e executando no terminal, recebi esse erro de "falha de segmentação".

Recorri a grupos e fóruns e, o que foi diagnosticado é que o problema que estava ocorrendo tinha relação com uma lib chamada libnm.so.0, que para variar é a lib do NetworkManager. Alguns faziam a exclusão desse link, para poder ao menos abrir e usar o programa. Outros recorreram a uma alternativa ao NetworkManager.

Eu, descontente com essas gambiarras, resolvi criar uma gambiarra mais loka ainda. A minha ideia foi a seguinte, o libnm.so.0 estava causando essa falha no VirtualBox e então eu deveria arrumar uma forma de fazer essa lib ficar invisível para o programa. Segundo a minha lógica, usando uma lib alternativa no diretório corrente do VirtualBox, a lib do sistema seria ignorada pelo programa, executando perfeitamente. Outra coisa, sem a lib o VirtualBox abre. Então, a lib não precisa ser exatamente uma lib funcional.

E por fim, realizando vários testes, cheguei nesse resultado:

# touch /opt/VirtualBox/libnm.so.0

É uma gambiarra pura, mas funciona.
Linux: Corrigindo a Falha de Segmentação do VirtualBox 6.1.18 no Slackware Current [RESOLVIDO]
Outras dicas deste autor

Executando um Comando ou Programa como Outro Usuário

Não quer usar a PlayStore do Google, conheça uma alternativa

Instalando o Genymotion no Slackware

deb2appimage - Crie AppImage facilmente

Resetando as Configurações do KDE Plasma 5

Leitura recomendada

Impressora Samsung ML-2165 no Debian Wheezy

Crontab - Servidores

Ativando interface loopback no Ubuntu 7.10

Impedindo atualização de pacotes específicos no Fedora

Instalando o IONCube Loader no Debian

  

Comentários
[1] Comentário enviado por fabio em 12/02/2021 - 09:07h

Muito bom! hahaha

[2] Comentário enviado por mauricio123 em 12/02/2021 - 12:20h


E por fiz,


Valeu fabio, só vou corrigir um erro de ortografia.

[3] Comentário enviado por danniel-lara em 13/02/2021 - 20:41h


Muito bom , parabéns

[4] Comentário enviado por rodrigo37 em 14/02/2022 - 22:17h


Cara ,não acredito que deu certo :) kkkk



Contribuir com comentário